Package org.drinkless.tdlib

# Class TdApi.MessagePaymentRefunded

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessagePaymentRefunded

Enclosing class:
  `TdApi`

public static class TdApi.MessagePaymentRefunded extends TdApi.MessageContent
A payment has been refunded.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  Currency for the price of the product.
  `byte[]`
  `invoicePayload`
  Invoice payload; only for bots.
  `TdApi.MessageSender`
  `ownerId`
  Identifier of the previous owner of the Telegram Stars that refunds them.
  `String`
  `providerPaymentChargeId`
  Provider payment identifier.
  `String`
  `telegramPaymentChargeId`
  Telegram payment identifier.
  `long`
  `totalAmount`
  Total price for the product, in the smallest units of the currency.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessagePaymentRefunded()`
  A payment has been refunded.
  `MessagePaymentRefunded(TdApi.MessageSender ownerId, String currency, long totalAmount, byte[] invoicePayload, String telegramPaymentChargeId, String providerPaymentChargeId)`
  A payment has been refunded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ownerId

    public TdApi.MessageSender ownerId
    Identifier of the previous owner of the Telegram Stars that refunds them.

  - ### currency

    public String currency
    Currency for the price of the product.

  - ### totalAmount

    public long totalAmount
    Total price for the product, in the smallest units of the currency.

  - ### invoicePayload

    public byte[] invoicePayload
    Invoice payload; only for bots.

  - ### telegramPaymentChargeId

    public String telegramPaymentChargeId
    Telegram payment identifier.

  - ### providerPaymentChargeId

    public String providerPaymentChargeId
    Provider payment identifier.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessagePaymentRefunded

    public MessagePaymentRefunded()
    A payment has been refunded.

  - ### MessagePaymentRefunded

    public MessagePaymentRefunded(TdApi.MessageSender ownerId, String currency, long totalAmount, byte[] invoicePayload, String telegramPaymentChargeId, String providerPaymentChargeId)
    A payment has been refunded.
    Parameters:
      `ownerId` - Identifier of the previous owner of the Telegram Stars that refunds them.
      `currency` - Currency for the price of the product.
      `totalAmount` - Total price for the product, in the smallest units of the currency.
      `invoicePayload` - Invoice payload; only for bots.
      `telegramPaymentChargeId` - Telegram payment identifier.
      `providerPaymentChargeId` - Provider payment identifier.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR